--- old/usr/src/test/zfs-tests/tests/functional/inuse/inuse_003_pos.ksh	Wed Aug 31 16:21:15 2016
+++ new/usr/src/test/zfs-tests/tests/functional/inuse/inuse_003_pos.ksh	Wed Aug 31 16:21:15 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012, 2015 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -57,26 +57,26 @@
 	poolexists $TESTPOOL2 && destroy_pool $TESTPOOL2
 
 	log_note "Kill off ufsdump process if still running"
-	$KILL -0 $PIDUFSDUMP > /dev/null 2>&1 && \
-	    log_must $KILL -9 $PIDUFSDUMP  > /dev/null 2>&1
+	kill -0 $PIDUFSDUMP > /dev/null 2>&1 && \
+	    log_must kill -9 $PIDUFSDUMP  > /dev/null 2>&1
 	#
 	# Note: It would appear that ufsdump spawns a number of processes
 	# which are not killed when the $PIDUFSDUMP is whacked.  So best bet
 	# is to find the rest of the them and deal with them individually.
 	#
-	for all in `$PGREP ufsdump`
+	for all in `pgrep ufsdump`
 	do
-		$KILL -9 $all > /dev/null 2>&1
+		kill -9 $all > /dev/null 2>&1
 	done
 
 	log_note "Kill off ufsrestore process if still running"
-	$KILL -0 $PIDUFSRESTORE > /dev/null 2>&1 && \
-	    log_must $KILL -9 $PIDUFSRESTORE  > /dev/null 2>&1
+	kill -0 $PIDUFSRESTORE > /dev/null 2>&1 && \
+	    log_must kill -9 $PIDUFSRESTORE  > /dev/null 2>&1
 
-	ismounted $UFSMP ufs && log_must $UMOUNT $UFSMP
+	ismounted $UFSMP ufs && log_must umount $UFSMP
 
-	$RM -rf $UFSMP
-	$RM -rf $TESTDIR
+	rm -rf $UFSMP
+	rm -rf $TESTDIR
 
 	#
 	# Tidy up the disks we used.
@@ -103,23 +103,23 @@
 done
 
 log_note "Make a ufs filesystem on source $rawdisk1"
-$ECHO "y" | $NEWFS -v $rawdisk1 > /dev/null 2>&1
+echo "y" | newfs -v $rawdisk1 > /dev/null 2>&1
 (($? != 0)) && log_untested "Unable to create ufs filesystem on $rawdisk1"
 
-log_must $MKDIR -p $UFSMP
+log_must mkdir -p $UFSMP
 
 log_note "mount source $disk1 on $UFSMP"
-log_must $MOUNT $disk1 $UFSMP
+log_must mount $disk1 $UFSMP
 
 log_note "Now create some directories and files to be ufsdump'ed"
 while (($dirnum <= 2)); do
-	log_must $MKDIR $bigdir${dirnum}
+	log_must mkdir $bigdir${dirnum}
 	while (( $filenum <= 2 )); do
-		$FILE_WRITE -o create -f $bigdir${dirnum}/file${filenum} \
+		file_write -o create -f $bigdir${dirnum}/file${filenum} \
 		    -b $BLOCK_SIZE -c $BLOCK_COUNT
 		if [[ $? -ne 0 ]]; then
 			if [[ $dirnum -lt 3 ]]; then
-				log_fail "$FILE_WRITE only wrote" \
+				log_fail "file_write only wrote" \
 				    "<(( $dirnum * 3 + $filenum ))>" \
 				    "files, this is not enough"
 			fi
@@ -130,46 +130,46 @@
 	((dirnum = dirnum + 1))
 done
 
-log_must $UMOUNT $UFSMP
+log_must umount $UFSMP
 
 log_note "Start ufsdump in the background"
-log_note "$UFSDUMP 0bf 512 $rawdisk0 $disk1"
-$UFSDUMP 0bf 512 $rawdisk0 $disk1 &
+log_note "ufsdump 0bf 512 $rawdisk0 $disk1"
+ufsdump 0bf 512 $rawdisk0 $disk1 &
 PIDUFSDUMP=$!
 
 unset NOINUSE_CHECK
 log_note "Attempt to zpool the source device in use by ufsdump"
-log_mustnot $ZPOOL create $TESTPOOL1 "$disk1"
+log_mustnot zpool create $TESTPOOL1 "$disk1"
 log_mustnot poolexists $TESTPOOL1
 
 log_note "Attempt to take the source device in use by ufsdump as spare device"
-log_mustnot $ZPOOL create $TESTPOOL1 "$FS_SIDE2" spare "$disk1"
+log_mustnot zpool create $TESTPOOL1 "$FS_SIDE2" spare "$disk1"
 log_mustnot poolexists $TESTPOOL1
 
 wait $PIDUFSDUMP
 typeset -i retval=$?
-(($retval != 0)) && log_fail "$UFSDUMP failed with error code $ret_val"
+(($retval != 0)) && log_fail "ufsdump failed with error code $ret_val"
 
-log_must $MOUNT $disk1 $UFSMP
+log_must mount $disk1 $UFSMP
 
-log_must $RM -rf $UFSMP/*
-log_must $MKDIR $restored_files
+log_must rm -rf $UFSMP/*
+log_must mkdir $restored_files
 
 cwd=$PWD
 log_must cd $restored_files
 log_note "Start ufsrestore in the background from the target device"
-log_note "$UFSRESTORE rbf 512 $rawdisk0"
-$UFSRESTORE rbf 512 $rawdisk0 &
+log_note "ufsrestore rbf 512 $rawdisk0"
+ufsrestore rbf 512 $rawdisk0 &
 PIDUFSRESTORE=$!
 log_must cd $cwd
 
 log_note "Attempt to zpool the restored device in use by ufsrestore"
-log_mustnot $ZPOOL create -f $TESTPOOL2 "$disk1"
+log_mustnot zpool create -f $TESTPOOL2 "$disk1"
 log_mustnot poolexists $TESTPOOL2
 
 log_note "Attempt to take the restored device in use by ufsrestore as spare" \
     "device"
-log_mustnot $ZPOOL create -f $TESTPOOL2 "$FS_SIDE2" spare "$disk1"
+log_mustnot zpool create -f $TESTPOOL2 "$FS_SIDE2" spare "$disk1"
 log_mustnot poolexists $TESTPOOL2
 
 log_pass "Unable to zpool over a device in use by ufsdump or ufsrestore"
--- old/usr/src/test/zfs-tests/tests/functional/inuse/inuse_004_pos.ksh	Wed Aug 31 16:21:15 2016
+++ new/usr/src/test/zfs-tests/tests/functional/inuse/inuse_004_pos.ksh	Wed Aug 31 16:21:15 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -52,12 +52,12 @@
 	# to work correctly.  So its reproduced below.  Still need to full
 	# understand why default_cleanup does not work correctly from here.
 	#
-        log_must $ZFS umount $TESTPOOL/$TESTFS
+        log_must zfs umount $TESTPOOL/$TESTFS
 
-        $RM -rf $TESTDIR || \
+        rm -rf $TESTDIR || \
             log_unresolved Could not remove $TESTDIR
 
-	log_must $ZFS destroy $TESTPOOL/$TESTFS
+	log_must zfs destroy $TESTPOOL/$TESTFS
 	destroy_pool $TESTPOOL
 }
 #
@@ -70,12 +70,12 @@
         typeset disk=$1
 
 	typeset format_file=/var/tmp/format_in.$$.1
-	$ECHO "partition" > $format_file
-	$ECHO "modify" >> $format_file
+	echo "partition" > $format_file
+	echo "modify" >> $format_file
 
-	$FORMAT -e -s -d $disk -f $format_file
+	format -e -s -d $disk -f $format_file
 	typeset -i retval=$?
-	$RM -rf $format_file
+	rm -rf $format_file
 	return $retval
 }
 
@@ -84,7 +84,7 @@
 
 log_onexit cleanup
 log_must default_setup_noexit $FS_DISK0
-log_must $ZPOOL add $TESTPOOL spare $FS_DISK1
+log_must zpool add $TESTPOOL spare $FS_DISK1
 
 log_note "Attempt to format a ZFS disk"
 log_mustnot mini_format $FS_DISK0
--- old/usr/src/test/zfs-tests/tests/functional/inuse/inuse_005_pos.ksh	Wed Aug 31 16:21:16 2016
+++ new/usr/src/test/zfs-tests/tests/functional/inuse/inuse_005_pos.ksh	Wed Aug 31 16:21:16 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013, 2015 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -59,7 +59,7 @@
 	typeset targets=$1
 
 	for t in $targets; do
-		$ECHO "y" | $NEWFS -v $t > /dev/null 2>&1
+		echo "y" | newfs -v $t > /dev/null 2>&1
 		(( $? !=0 )) || \
 			log_fail "newfs over active pool " \
 			"unexpected return code of 0"
--- old/usr/src/test/zfs-tests/tests/functional/inuse/inuse_006_pos.ksh	Wed Aug 31 16:21:16 2016
+++ new/usr/src/test/zfs-tests/tests/functional/inuse/inuse_006_pos.ksh	Wed Aug 31 16:21:16 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013, 2015 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -47,7 +47,7 @@
 function cleanup
 {
 	if [[ -n $PREVDUMPDEV ]]; then
-		log_must $DUMPADM -u -d $PREVDUMPDEV
+		log_must dumpadm -u -d $PREVDUMPDEV
 	fi
 
 	poolexists $TESTPOOL1 && destroy_pool $TESTPOOL1
@@ -63,7 +63,7 @@
 	typeset targets=$1
 
 	for t in $targets; do
-		log_mustnot $DUMPADM -d $t
+		log_mustnot dumpadm -d $t
 	done
 
         return 0
@@ -77,7 +77,7 @@
 
 typeset -i i=0
 
-PREVDUMPDEV=`$DUMPADM | $GREP "Dump device" | $AWK '{print $3}'`
+PREVDUMPDEV=`dumpadm | grep "Dump device" | awk '{print $3}'`
 
 unset NOINUSE_CHECK
 while (( i < ${#vdevs[*]} )); do
--- old/usr/src/test/zfs-tests/tests/functional/inuse/inuse_007_pos.ksh	Wed Aug 31 16:21:16 2016
+++ new/usr/src/test/zfs-tests/tests/functional/inuse/inuse_007_pos.ksh	Wed Aug 31 16:21:16 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -48,10 +48,10 @@
 function cleanup
 {
 	if [[ -n $PREVDUMPDEV ]]; then
-		log_must $DUMPADM -u -d $PREVDUMPDEV
+		log_must dumpadm -u -d $PREVDUMPDEV
 	fi
 
-	poolexists $TESTPOOL1 || $ZPOOL import $TESTPOOL1 >/dev/null 2>&1
+	poolexists $TESTPOOL1 || zpool import $TESTPOOL1 >/dev/null 2>&1
 
 	poolexists $TESTPOOL1 && destroy_pool $TESTPOOL1
 
@@ -66,9 +66,9 @@
 	typeset targets=$1
 
 	for t in $targets; do
-		log_must $DUMPADM -u -d $t
+		log_must dumpadm -u -d $t
 
-		log_must $DUMPADM -u -d $PREVDUMPDEV
+		log_must dumpadm -u -d $PREVDUMPDEV
 	done
 
 	return 0
@@ -82,7 +82,7 @@
 
 typeset -i i=0
 
-PREVDUMPDEV=`$DUMPADM | $GREP "Dump device" | $AWK '{print $3}'`
+PREVDUMPDEV=`dumpadm | grep "Dump device" | awk '{print $3}'`
 
 while (( i < ${#vdevs[*]} )); do
 
@@ -99,9 +99,9 @@
 	fi
 
 	create_pool $TESTPOOL1 ${vdevs[i]} $vslices spare $sslices
-	log_must $ZPOOL export $TESTPOOL1
+	log_must zpool export $TESTPOOL1
 	verify_assertion "$disktargets"
-	log_must $ZPOOL import $TESTPOOL1
+	log_must zpool import $TESTPOOL1
 	destroy_pool $TESTPOOL1
 
 	if [[ ( $FS_DISK0 == $FS_DISK2 ) && -n ${vdevs[i]} ]]; then
@@ -115,9 +115,9 @@
 	fi
 
 	create_pool $TESTPOOL1 ${vdevs[i]} $vdisks spare $sdisks
-	log_must $ZPOOL export $TESTPOOL1
+	log_must zpool export $TESTPOOL1
 	verify_assertion "$disktargets"
-	log_must $ZPOOL import $TESTPOOL1
+	log_must zpool import $TESTPOOL1
 	destroy_pool $TESTPOOL1
 
 	(( i = i + 1 ))
--- old/usr/src/test/zfs-tests/tests/functional/inuse/inuse_008_pos.ksh	Wed Aug 31 16:21:16 2016
+++ new/usr/src/test/zfs-tests/tests/functional/inuse/inuse_008_pos.ksh	Wed Aug 31 16:21:16 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -47,7 +47,7 @@
 
 function cleanup
 {
-	poolexists $TESTPOOL1 || $ZPOOL import $TESTPOOL1 >/dev/null 2>&1
+	poolexists $TESTPOOL1 || zpool import $TESTPOOL1 >/dev/null 2>&1
 
 	poolexists $TESTPOOL1 && destroy_pool $TESTPOOL1
 
@@ -62,7 +62,7 @@
 	typeset targets=$1
 
 	for t in $targets; do
-		$ECHO "y" | $NEWFS -v $t > /dev/null 2>&1
+		echo "y" | newfs -v $t > /dev/null 2>&1
 		(( $? !=0 )) && \
 			log_fail "newfs over exported pool " \
 				"failes unexpected."
@@ -93,7 +93,7 @@
 	fi
 
 	create_pool $TESTPOOL1 ${vdevs[i]} $vslices spare $sslices
-	log_must $ZPOOL export $TESTPOOL1
+	log_must zpool export $TESTPOOL1
 	verify_assertion "$rawtargets"
 	cleanup_devices $vslices $sslices
 
--- old/usr/src/test/zfs-tests/tests/functional/inuse/inuse_009_pos.ksh	Wed Aug 31 16:21:16 2016
+++ new/usr/src/test/zfs-tests/tests/functional/inuse/inuse_009_pos.ksh	Wed Aug 31 16:21:16 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -47,7 +47,7 @@
 
 function cleanup
 {
-	poolexists $TESTPOOL1 || $ZPOOL import $TESTPOOL1 >/dev/null 2>&1
+	poolexists $TESTPOOL1 || zpool import $TESTPOOL1 >/dev/null 2>&1
 
 	poolexists $TESTPOOL1 && destroy_pool $TESTPOOL1
 
@@ -91,7 +91,7 @@
 	fi
 
 	create_pool $TESTPOOL1 ${vdevs[i]} $vslices spare $sslices
-	log_must $ZPOOL export $TESTPOOL1
+	log_must zpool export $TESTPOOL1
 	verify_assertion "$vdisks $sdisks"
 
 	if [[ ( $FS_DISK0 == $FS_DISK2 ) && -n ${vdevs[i]} ]]; then
@@ -105,7 +105,7 @@
 	fi
 
 	create_pool $TESTPOOL1 ${vdevs[i]} $vdisks spare $sdisks
-	log_must $ZPOOL export $TESTPOOL1
+	log_must zpool export $TESTPOOL1
 	verify_assertion "$vdisks $sdisks"
 
 	(( i = i + 1 ))
--- old/usr/src/test/zfs-tests/tests/functional/large_files/large_files_001_pos.ksh	Wed Aug 31 16:21:16 2016
+++ new/usr/src/test/zfs-tests/tests/functional/large_files/large_files_001_pos.ksh	Wed Aug 31 16:21:16 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -48,6 +48,6 @@
 log_assert "Write a file to the allowable ZFS fs size."
 
 log_note "Invoke 'largest_file' with $TESTDIR/bigfile"
-log_must $LARGEST_FILE $TESTDIR/bigfile
+log_must largest_file $TESTDIR/bigfile
 
 log_pass "Successfully created a file to the maximum allowable size."
--- old/usr/src/test/zfs-tests/tests/functional/largest_pool/largest_pool_001_pos.ksh	Wed Aug 31 16:21:16 2016
+++ new/usr/src/test/zfs-tests/tests/functional/largest_pool/largest_pool_001_pos.ksh	Wed Aug 31 16:21:16 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -57,7 +57,7 @@
 #
 function parse_expected_output
 {
-	UNITS=`$ECHO $1 | $SED -e 's/^\([0-9].*\)\([a-z].\)/\2/'`
+	UNITS=`echo $1 | sed -e 's/^\([0-9].*\)\([a-z].\)/\2/'`
 	case "$UNITS" in
 		'mb') CHKUNIT="M" ;;
 		'gb') CHKUNIT="G" ;;
@@ -68,14 +68,14 @@
 	esac
 
 	log_note "Detect zpool $TESTPOOL in this test machine."
-	log_must eval "$ZPOOL list $TESTPOOL > /tmp/j.$$"
-	log_must eval "$GREP $TESTPOOL /tmp/j.$$ | \
-		$AWK '{print $2}' | $GREP $CHKUNIT"
+	log_must eval "zpool list $TESTPOOL > /tmp/j.$$"
+	log_must eval "grep $TESTPOOL /tmp/j.$$ | \
+		awk '{print $2}' | grep $CHKUNIT"
 
 	log_note "Detect the file system in this test machine."
-	log_must eval "$DF -F zfs -h > /tmp/j.$$"
-	log_must eval "$GREP $TESTPOOL /tmp/j.$$ | \
-		$AWK '{print $2}' | $GREP $CHKUNIT"
+	log_must eval "df -F zfs -h > /tmp/j.$$"
+	log_must eval "grep $TESTPOOL /tmp/j.$$ | \
+		awk '{print $2}' | grep $CHKUNIT"
 
 	return 0
 }
@@ -89,19 +89,19 @@
 
 	if datasetexists $TESTPOOL/$TESTFS ; then
 		if ismounted $TESTPOOL/$TESTFS ; then
-			log_must $ZFS unmount $TESTPOOL/$TESTFS
+			log_must zfs unmount $TESTPOOL/$TESTFS
 		fi
-		log_must $ZFS destroy $TESTPOOL/$TESTFS
+		log_must zfs destroy $TESTPOOL/$TESTFS
 	fi
 
 	destroy_pool $TESTPOOL
 
 	datasetexists $TESTPOOL2/$TESTVOL && \
-		log_must $ZFS destroy $TESTPOOL2/$TESTVOL
+		log_must zfs destroy $TESTPOOL2/$TESTVOL
 
 	destroy_pool $TESTPOOL2
 
-	$RM -f /tmp/j.* > /dev/null
+	rm -f /tmp/j.* > /dev/null
 }
 
 log_assert "The largest pool can be created and a dataset in that" \
@@ -123,10 +123,10 @@
 	create_pool $TESTPOOL2 "$DISKS"
 
 	log_note "Create a volume device of desired sizes: $volsize"
-	str=$($ZFS create -sV $volsize $TESTPOOL2/$TESTVOL 2>&1)
+	str=$(zfs create -sV $volsize $TESTPOOL2/$TESTVOL 2>&1)
 	ret=$?
 	if (( ret != 0 )); then
-		if [[ $($ISAINFO -b) == 32 && \
+		if [[ $(isainfo -b) == 32 && \
 			$str == *${VOL_LIMIT_KEYWORD1}* || \
 			$str == *${VOL_LIMIT_KEYWORD2}* || \
 			$str == *${VOL_LIMIT_KEYWORD3}* ]]
@@ -134,7 +134,7 @@
 			log_unsupported \
 				"Max volume size is 1TB on 32-bit systems."
 		else
-			log_fail "$ZFS create -sV $volsize $TESTPOOL2/$TESTVOL"
+			log_fail "zfs create -sV $volsize $TESTPOOL2/$TESTVOL"
 		fi
 	fi
 
@@ -142,18 +142,18 @@
 	create_pool $TESTPOOL "$VOL_PATH"
 
 	log_note "Create a zfs file system in the largest pool"
-	log_must $ZFS create $TESTPOOL/$TESTFS
+	log_must zfs create $TESTPOOL/$TESTFS
 
 	log_note "Parse the execution result"
 	parse_expected_output $volsize
 
 	log_note "unmount this zfs file system $TESTPOOL/$TESTFS"
-	log_must $ZFS unmount $TESTPOOL/$TESTFS
+	log_must zfs unmount $TESTPOOL/$TESTFS
 
 	log_note "Destroy zfs, volume & zpool"
-	log_must $ZFS destroy $TESTPOOL/$TESTFS
+	log_must zfs destroy $TESTPOOL/$TESTFS
 	destroy_pool $TESTPOOL
-	log_must $ZFS destroy $TESTPOOL2/$TESTVOL
+	log_must zfs destroy $TESTPOOL2/$TESTVOL
 	destroy_pool $TESTPOOL2
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/link_count/link_count_001.ksh	Wed Aug 31 16:21:16 2016
+++ new/usr/src/test/zfs-tests/tests/functional/link_count/link_count_001.ksh	Wed Aug 31 16:21:16 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -52,38 +52,38 @@
 # Detect and make sure this test must be executed on a multi-process system
 is_mp || log_fail "This test requires a multi-processor system."
 
-log_must $MKDIR -p ${TESTDIR}/tmp
+log_must mkdir -p ${TESTDIR}/tmp
 
 typeset -i i=0
 while [ $i -lt $NUMFILES ]; do
         (( i = i + 1 ))
-        $TOUCH ${TESTDIR}/tmp/x$i > /dev/null 2>&1
+        touch ${TESTDIR}/tmp/x$i > /dev/null 2>&1
 done
 
 sleep 3
 
-$RM -f ${TESTDIR}/tmp/x* >/dev/null 2>&1
+rm -f ${TESTDIR}/tmp/x* >/dev/null 2>&1
 
-$RM_LNKCNT_ZERO_FILE ${TESTDIR}/tmp/test$$ > /dev/null 2>&1 &
+rm_lnkcnt_zero_file ${TESTDIR}/tmp/test$$ > /dev/null 2>&1 &
 PID=$!
-log_note "$RM_LNKCNT_ZERO_FILE ${TESTDIR}/tmp/test$$ pid: $PID"
+log_note "rm_lnkcnt_zero_file ${TESTDIR}/tmp/test$$ pid: $PID"
 
 i=0
 while [ $i -lt $ITERS ]; do
-	if ! $PGREP $RM_LNKCNT_ZERO_FILE > /dev/null ; then
-		log_note "$RM_LNKCNT_ZERO_FILE completes"
+	if ! pgrep rm_lnkcnt_zero_file > /dev/null ; then
+		log_note "rm_lnkcnt_zero_file completes"
 		break
 	fi
-	log_must $SLEEP 10
+	log_must sleep 10
 	(( i = i + 1 ))
 done
 
-if $PGREP $RM_LNKCNT_ZERO_FILE > /dev/null; then
-	log_must $KILL -TERM $PID
+if pgrep rm_lnkcnt_zero_file > /dev/null; then
+	log_must kill -TERM $PID
 	log_fail "file link count is zero"
 fi
 
-log_must $KILL -TERM $PID
-log_must $RM -f ${TESTDIR}/tmp/test$$*
+log_must kill -TERM $PID
+log_must rm -f ${TESTDIR}/tmp/test$$*
 
 log_pass "Verify file link count is zero on zfs"
--- old/usr/src/test/zfs-tests/tests/functional/mdb/mdb_001_pos.ksh	Wed Aug 31 16:21:16 2016
+++ new/usr/src/test/zfs-tests/tests/functional/mdb/mdb_001_pos.ksh	Wed Aug 31 16:21:16 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -43,7 +43,7 @@
 
 function cleanup
 {
-	$RM -f $OUTFILE
+	rm -f $OUTFILE
 }
 
 verify_runnable "global"
@@ -81,7 +81,7 @@
 i=0
 while (( $i < ${#dcmds[*]} )); do
 	log_note "Verifying: '${dcmds[i]}'"
-        $ECHO "${dcmds[i]}" | $MDB -k > $OUTFILE 2>&1
+        echo "${dcmds[i]}" | mdb -k > $OUTFILE 2>&1
 	RET=$?
 	if (( $RET != 0 )); then
 		log_fail "mdb '${dcmds[i]}' returned error $RET"
@@ -90,12 +90,12 @@
 	#
 	# mdb prefixes all errors with "mdb: " so we check the output.
 	#
-	$GREP "mdb:" $OUTFILE > /dev/null 2>&1
+	grep "mdb:" $OUTFILE > /dev/null 2>&1
 	RET=$?
 	if (( $RET == 0 )); then
-		$ECHO "mdb '${dcmds[i]}' contained 'mdb:'"
-		# Using $TAIL limits the number of lines in the log
-		$TAIL -100 $OUTFILE
+		echo "mdb '${dcmds[i]}' contained 'mdb:'"
+		# Using tail limits the number of lines in the log
+		tail -100 $OUTFILE
 		log_fail "mdb walker or dcmd failed"
 	fi
 
--- old/usr/src/test/zfs-tests/tests/functional/migration/cleanup.ksh	Wed Aug 31 16:21:16 2016
+++ new/usr/src/test/zfs-tests/tests/functional/migration/cleanup.ksh	Wed Aug 31 16:21:16 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -35,10 +35,10 @@
 verify_runnable "global"
 
 ismounted $NONZFS_TESTDIR ufs
-(( $? == 0 )) && log_must $UMOUNT -f $NONZFS_TESTDIR
+(( $? == 0 )) && log_must umount -f $NONZFS_TESTDIR
 
 ismounted $TESTPOOL/$TESTFS
-[[ $? == 0 ]] && log_must $ZFS umount -f $TESTDIR
+[[ $? == 0 ]] && log_must zfs umount -f $TESTDIR
 destroy_pool $TESTPOOL
 
 # recreate and destroy a zpool over the disks to restore the partitions to
--- old/usr/src/test/zfs-tests/tests/functional/migration/migration.cfg	Wed Aug 31 16:21:17 2016
+++ new/usr/src/test/zfs-tests/tests/functional/migration/migration.cfg	Wed Aug 31 16:21:17 2016
@@ -25,7 +25,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -58,9 +58,9 @@
 
 export TESTFILE=/etc/passwd
 export NONZFS_TESTDIR=$TESTDIR/nonzfstestdir
-tmp=`$SUM $TESTFILE`
-export SUMA=`$ECHO $tmp | $AWK '{print $1}'`
-export SUMB=`$ECHO $tmp | $AWK '{print $2}'`
+tmp=`sum $TESTFILE`
+export SUMA=`echo $tmp | awk '{print $1}'`
+export SUMB=`echo $tmp | awk '{print $2}'`
 export FS_SIZE=1g
-export BNAME=`$BASENAME $TESTFILE`
-export DNAME=`$DIRNAME $TESTFILE`
+export BNAME=`basename $TESTFILE`
+export DNAME=`dirname $TESTFILE`
--- old/usr/src/test/zfs-tests/tests/functional/migration/migration.kshlib	Wed Aug 31 16:21:17 2016
+++ new/usr/src/test/zfs-tests/tests/functional/migration/migration.kshlib	Wed Aug 31 16:21:17 2016
@@ -25,7 +25,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/migration/migration.cfg
@@ -43,7 +43,7 @@
 #	srcdir: is the directory where the testfile is
 #	cmd:	is the command to be executed.
 #		E.g.
-#		$TAR cf $TESTDIR/tar$$.tar
+#		tar cf $TESTDIR/tar$$.tar
 #
 function prepare #srcdir cmd
 {
@@ -82,7 +82,7 @@
 #	oldsumb: is the second part of the values returned by sum
 #	cmd: is the command to be executed;
 #		E.g.
-#		"$TAR xf $TESTDIR/tar$$.tar"
+#		"tar xf $TESTDIR/tar$$.tar"
 #
 function migrate #destdir oldsuma oldsumb cmd
 {
@@ -99,17 +99,17 @@
 	$cmd
 	(( $? != 0 )) && return 1
 
-	sumy=`$SUM ./$BNAME`
-	suma=`$ECHO $sumy | $AWK '{print $1}'`
-	sumb=`$ECHO $sumy | $AWK '{print $2}'`
+	sumy=`sum ./$BNAME`
+	suma=`echo $sumy | awk '{print $1}'`
+	sumb=`echo $sumy | awk '{print $2}'`
 
 	if (( $oldsuma != $suma )); then
-		log_note "$SUM values are not the same"
+		log_note "sum values are not the same"
 		retval=1
 	fi
 
 	if (( $oldsumb != $sumb )); then
-		log_note "$SUM values are not the same"
+		log_note "sum values are not the same"
 		retval=1
 	fi
 
@@ -130,20 +130,20 @@
 	cd $destdir
 	(( $? != 0 )) && return 1
 
-	$CPIO -iv < $archive
+	cpio -iv < $archive
 	(( $? != 0 )) && return 1
 
-	sumy=`$SUM ./$BNAME`
-	suma=`$ECHO $sumy | $AWK '{print $1}'`
-	sumb=`$ECHO $sumy | $AWK '{print $2}'`
+	sumy=`sum ./$BNAME`
+	suma=`echo $sumy | awk '{print $1}'`
+	sumb=`echo $sumy | awk '{print $2}'`
 
 	if (( $oldsuma != $suma )); then
-		log_note "$SUM values are not the same"
+		log_note "sum values are not the same"
 		retval=1
 	fi
 
 	if (( $oldsumb != $sumb )); then
-		log_note "$SUM values are not the same"
+		log_note "sum values are not the same"
 		retval=1
 	fi
 
--- old/usr/src/test/zfs-tests/tests/functional/migration/migration_001_pos.ksh	Wed Aug 31 16:21:17 2016
+++ new/usr/src/test/zfs-tests/tests/functional/migration/migration_001_pos.ksh	Wed Aug 31 16:21:17 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -48,8 +48,8 @@
 
 function cleanup
 {
-	$RM -rf $TESTDIR/tar$$.tar
-	$RM -rf $TESTDIR/$BNAME
+	rm -rf $TESTDIR/tar$$.tar
+	rm -rf $TESTDIR/$BNAME
 }
 
 log_assert "Migrating test file from ZFS fs to ZFS fs using tar"
@@ -56,10 +56,10 @@
 
 log_onexit cleanup
 
-prepare $DNAME "$TAR cf $TESTDIR/tar$$.tar $BNAME"
+prepare $DNAME "tar cf $TESTDIR/tar$$.tar $BNAME"
 (( $? != 0 )) && log_fail "Unable to create src archive"
 
-migrate $TESTDIR $SUMA $SUMB "$TAR xf $TESTDIR/tar$$.tar"
+migrate $TESTDIR $SUMA $SUMB "tar xf $TESTDIR/tar$$.tar"
 (( $? != 0 )) && log_fail "Uable to successfully migrate test file from" \
     "ZFS fs to ZFS fs"
 
--- old/usr/src/test/zfs-tests/tests/functional/migration/migration_002_pos.ksh	Wed Aug 31 16:21:17 2016
+++ new/usr/src/test/zfs-tests/tests/functional/migration/migration_002_pos.ksh	Wed Aug 31 16:21:17 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -48,8 +48,8 @@
 
 function cleanup
 {
-	$RM -rf $TESTDIR/tar$$.tar
-	$RM -rf $NONZFS_TESTDIR/$BNAME
+	rm -rf $TESTDIR/tar$$.tar
+	rm -rf $NONZFS_TESTDIR/$BNAME
 }
 
 log_assert "Migrating test file from ZFS fs to UFS fs using tar"
@@ -56,10 +56,10 @@
 
 log_onexit cleanup
 
-prepare $DNAME "$TAR cf $TESTDIR/tar$$.tar $BNAME"
+prepare $DNAME "tar cf $TESTDIR/tar$$.tar $BNAME"
 (( $? != 0 )) && log_fail "Unable to create src archive"
 
-migrate $NONZFS_TESTDIR $SUMA $SUMB "$TAR xf $TESTDIR/tar$$.tar"
+migrate $NONZFS_TESTDIR $SUMA $SUMB "tar xf $TESTDIR/tar$$.tar"
 (( $? != 0 )) && log_fail "Uable to successfully migrate test file from" \
     "ZFS fs to UFS fs"
 
--- old/usr/src/test/zfs-tests/tests/functional/migration/migration_003_pos.ksh	Wed Aug 31 16:21:17 2016
+++ new/usr/src/test/zfs-tests/tests/functional/migration/migration_003_pos.ksh	Wed Aug 31 16:21:17 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -48,8 +48,8 @@
 
 function cleanup
 {
-	$RM -rf $NONZFS_TESTDIR/tar$$.tar
-	$RM -rf $TESTDIR/$BNAME
+	rm -rf $NONZFS_TESTDIR/tar$$.tar
+	rm -rf $TESTDIR/$BNAME
 }
 
 log_assert "Migrating test file from UFS fs to ZFS fs using tar"
@@ -56,10 +56,10 @@
 
 log_onexit cleanup
 
-prepare $DNAME "$TAR cf $NONZFS_TESTDIR/tar$$.tar $BNAME"
+prepare $DNAME "tar cf $NONZFS_TESTDIR/tar$$.tar $BNAME"
 (( $? != 0 )) && log_fail "Unable to create src archive"
 
-migrate $TESTDIR $SUMA $SUMB "$TAR xvf $NONZFS_TESTDIR/tar$$.tar"
+migrate $TESTDIR $SUMA $SUMB "tar xvf $NONZFS_TESTDIR/tar$$.tar"
 (( $? != 0 )) && log_fail "Uable to successfully migrate test file from" \
     "UFS fs to ZFS fs"
 
--- old/usr/src/test/zfs-tests/tests/functional/migration/migration_004_pos.ksh	Wed Aug 31 16:21:17 2016
+++ new/usr/src/test/zfs-tests/tests/functional/migration/migration_004_pos.ksh	Wed Aug 31 16:21:17 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -48,8 +48,8 @@
 
 function cleanup
 {
-	$RM -rf $TESTDIR/cpio$$.cpio
-	$RM -rf $TESTDIR/$BNAME
+	rm -rf $TESTDIR/cpio$$.cpio
+	rm -rf $TESTDIR/$BNAME
 }
 
 log_assert "Migrating test file from ZFS fs to ZFS fs using cpio"
@@ -60,7 +60,7 @@
 cd $DNAME
 (( $? != 0 )) && log_untested "Could not change directory to $DNAME"
 
-$LS $BNAME | $CPIO -oc > $TESTDIR/cpio$$.cpio
+ls $BNAME | cpio -oc > $TESTDIR/cpio$$.cpio
 (( $? != 0 )) && log_failED "Unable to create cpio archive"
 
 cd $cwd
--- old/usr/src/test/zfs-tests/tests/functional/migration/migration_005_pos.ksh	Wed Aug 31 16:21:17 2016
+++ new/usr/src/test/zfs-tests/tests/functional/migration/migration_005_pos.ksh	Wed Aug 31 16:21:17 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -48,8 +48,8 @@
 
 function cleanup
 {
-	$RM -rf $TESTDIR/cpio$$.cpio
-	$RM -rf $NONZFS_TESTDIR/$BNAME
+	rm -rf $TESTDIR/cpio$$.cpio
+	rm -rf $NONZFS_TESTDIR/$BNAME
 }
 
 log_assert "Migrating test file from ZFS fs to uFS fs using cpio"
@@ -60,7 +60,7 @@
 cd $DNAME
 (( $? != 0 )) && log_untested "Could not change directory to $DNAME"
 
-$LS $BNAME | $CPIO -oc > $TESTDIR/cpio$$.cpio
+ls $BNAME | cpio -oc > $TESTDIR/cpio$$.cpio
 (( $? != 0 )) && log_failED "Unable to create cpio archive"
 
 cd $cwd
--- old/usr/src/test/zfs-tests/tests/functional/migration/migration_006_pos.ksh	Wed Aug 31 16:21:17 2016
+++ new/usr/src/test/zfs-tests/tests/functional/migration/migration_006_pos.ksh	Wed Aug 31 16:21:17 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -48,8 +48,8 @@
 
 function cleanup
 {
-	$RM -rf $NONZFS_TESTDIR/cpio$$.cpio
-	$RM -rf $TESTDIR/$BNAME
+	rm -rf $NONZFS_TESTDIR/cpio$$.cpio
+	rm -rf $TESTDIR/$BNAME
 }
 
 log_assert "Migrating test file from UFS fs to ZFS fs using cpio"
@@ -60,7 +60,7 @@
 cd $DNAME
 (( $? != 0 )) && log_untested "Could not change directory to $DNAME"
 
-$LS $BNAME | $CPIO -oc > $NONZFS_TESTDIR/cpio$$.cpio
+ls $BNAME | cpio -oc > $NONZFS_TESTDIR/cpio$$.cpio
 (( $? != 0 )) && log_failED "Unable to create cpio archive"
 
 cd $cwd
--- old/usr/src/test/zfs-tests/tests/functional/migration/migration_007_pos.ksh	Wed Aug 31 16:21:17 2016
+++ new/usr/src/test/zfs-tests/tests/functional/migration/migration_007_pos.ksh	Wed Aug 31 16:21:18 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -48,8 +48,8 @@
 
 function cleanup
 {
-	$RM -rf $TESTDIR/dd$$.dd
-	$RM -rf $TESTDIR/$BNAME
+	rm -rf $TESTDIR/dd$$.dd
+	rm -rf $TESTDIR/$BNAME
 }
 
 log_assert "Migrating test file from ZFS fs to ZFS fs using dd"
@@ -56,10 +56,10 @@
 
 log_onexit cleanup
 
-prepare $DNAME "$DD if=$BNAME obs=128k of=$TESTDIR/dd$$.dd"
+prepare $DNAME "dd if=$BNAME obs=128k of=$TESTDIR/dd$$.dd"
 (( $? != 0 )) && log_fail "Unable to create src archive"
 
-migrate $TESTDIR $SUMA $SUMB "$DD if=$TESTDIR/dd$$.dd obs=128k of=$BNAME"
+migrate $TESTDIR $SUMA $SUMB "dd if=$TESTDIR/dd$$.dd obs=128k of=$BNAME"
 (( $? != 0 )) && log_fail "Uable to successfully migrate test file from" \
     "ZFS fs to ZFS fs"
 
--- old/usr/src/test/zfs-tests/tests/functional/migration/migration_008_pos.ksh	Wed Aug 31 16:21:18 2016
+++ new/usr/src/test/zfs-tests/tests/functional/migration/migration_008_pos.ksh	Wed Aug 31 16:21:18 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -48,8 +48,8 @@
 
 function cleanup
 {
-	$RM -rf $TESTDIR/dd$$.dd
-	$RM -rf $NONZFS_TESTDIR/$BNAME
+	rm -rf $TESTDIR/dd$$.dd
+	rm -rf $NONZFS_TESTDIR/$BNAME
 }
 
 log_assert "Migrating test file from ZFS fs to UFS fs using dd"
@@ -56,10 +56,10 @@
 
 log_onexit cleanup
 
-prepare $DNAME "$DD if=$BNAME obs=128k of=$TESTDIR/dd$$.dd"
+prepare $DNAME "dd if=$BNAME obs=128k of=$TESTDIR/dd$$.dd"
 (( $? != 0 )) && log_fail "Unable to create src archive"
 
-migrate $NONZFS_TESTDIR $SUMA $SUMB "$DD if=$TESTDIR/dd$$.dd obs=128k of=$BNAME"
+migrate $NONZFS_TESTDIR $SUMA $SUMB "dd if=$TESTDIR/dd$$.dd obs=128k of=$BNAME"
 (( $? != 0 )) && log_fail "Uable to successfully migrate test file from" \
     "ZFS fs to ZFS fs"
 
--- old/usr/src/test/zfs-tests/tests/functional/migration/migration_009_pos.ksh	Wed Aug 31 16:21:18 2016
+++ new/usr/src/test/zfs-tests/tests/functional/migration/migration_009_pos.ksh	Wed Aug 31 16:21:18 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -48,8 +48,8 @@
 
 function cleanup
 {
-	$RM -rf $TESTDIR/dd$$.dd
-	$RM -rf $NONZFS_TESTDIR/$BNAME
+	rm -rf $TESTDIR/dd$$.dd
+	rm -rf $NONZFS_TESTDIR/$BNAME
 }
 
 log_assert "Migrating test file from UFS fs to ZFS fs using dd"
@@ -56,10 +56,10 @@
 
 log_onexit cleanup
 
-prepare $DNAME "$DD if=$BNAME obs=128k of=$NONZFS_TESTDIR/dd$$.dd"
+prepare $DNAME "dd if=$BNAME obs=128k of=$NONZFS_TESTDIR/dd$$.dd"
 (( $? != 0 )) && log_fail "Unable to create src archive"
 
-migrate $TESTDIR $SUMA $SUMB "$DD if=$NONZFS_TESTDIR/dd$$.dd obs=128k of=$BNAME"
+migrate $TESTDIR $SUMA $SUMB "dd if=$NONZFS_TESTDIR/dd$$.dd obs=128k of=$BNAME"
 (( $? != 0 )) && log_fail "Uable to successfully migrate test file from" \
     "ZFS fs to ZFS fs"
 
